<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMobileSmartClientProfileReq StructType
 * @subpackage Structs
 */
class AddMobileSmartClientProfileReq extends APIRequest
{
    /**
     * The mobileSmartClientProfile
     * @var XMobileSmartClientProfile
     */
    public $mobileSmartClientProfile;
    /**
     * Constructor method for AddMobileSmartClientProfileReq
     * @uses AddMobileSmartClientProfileReq::setMobileSmartClientProfile()
     * @param XMobileSmartClientProfile $mobileSmartClientProfile
     */
    public function __construct(XMobileSmartClientProfile $mobileSmartClientProfile = null)
    {
        $this
            ->setMobileSmartClientProfile($mobileSmartClientProfile);
    }
    /**
     * Get mobileSmartClientProfile value
     * @return XMobileSmartClientProfile|null
     */
    public function getMobileSmartClientProfile()
    {
        return $this->mobileSmartClientProfile;
    }
    /**
     * Set mobileSmartClientProfile value
     * @param XMobileSmartClientProfile $mobileSmartClientProfile
     * @return AddMobileSmartClientProfileReq
     */
    public function setMobileSmartClientProfile(XMobileSmartClientProfile $mobileSmartClientProfile = null)
    {
        $this->mobileSmartClientProfile = $mobileSmartClientProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMobileSmartClientProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
